org.apache.lucene.analysis

## Class CharArraySet.CharArraySetIterator

- java.lang.Object
- - org.apache.lucene.analysis.CharArraySet.CharArraySetIterator

- All Implemented Interfaces:
    java.util.Iterator
  Enclosing class:
    CharArraySet

      public class CharArraySet.CharArraySetIterator
      extends java.lang.Object
      implements java.util.Iterator

  The Iterator<String> for this set. Strings are constructed on the fly, so use `nextCharArray` for more efficient access.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `java.lang.Object` | `next()` Returns the next String, as a Set<String> would...
    `char[]` | `nextCharArray()` do not modify the returned char[]
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator`

    - #### nextCharArray

          public char[] nextCharArray()

      do not modify the returned char[]

    - #### next

          public java.lang.Object next()

      Returns the next String, as a Set<String> would... use nextCharArray() for better efficiency.
      Specified by:
        `next` in interface `java.util.Iterator`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.